Get lowest price
curl --request GET \
--url https://spaportal.cz/api/v1/lowest-price \
--header 'Authorization: Bearer <token>'import requests
url = "https://spaportal.cz/api/v1/lowest-price"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spaportal.cz/api/v1/lowest-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cs_CZ": {
"amount_per_night": 1024.5,
"original_amount_per_night": 1205.29,
"currency": "CZK"
},
"de": {
"amount_per_night": 40,
"original_amount_per_night": 47.06,
"currency": "EUR"
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Pricing
Get lowest price
Returns the lowest per-night, per-guest price for a partial or complete search query. The price includes any active discount promotions.
GET
/
lowest-price
Get lowest price
Authorizations
bearerAuthaccessTokenQuery
See Authentication for how to obtain and send your API key.
Headers
Comma-separated list of languages to include. See Localization for details.
Example:
"cs_CZ,de"
Query Parameters
Visit type ID.
Hotel ID.
Destination ID.
Room type ID.
Filter by occupancy.
Required range:
1 <= x <= 2Start date in YYYY-MM-DD format.
End date in YYYY-MM-DD format.
Response
Lowest matching price by language.
Show child attributes
Show child attributes